#ifndef SERVER_THREAD_H
#define SERVER_THREAD_H

/*!
  \file
  \brief サーバ側

  \author Satofumi KAMIMURA

  $Id: ServerThread.h 1138 2009-07-13 10:40:08Z satofumi $
*/

#include <QThread>
#include <memory>


class ServerThread : public QThread
{
  ServerThread(const ServerThread& rhs);
  ServerThread& operator = (const ServerThread& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;

public:
  ServerThread(void);
  ~ServerThread(void);

  void run(void);
};

#endif /* !SERVER_THREAD_H */
